[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [ArchLinuxVn] VAIO wifi ngặt nghèo thiệt



Bác xài linux-api 3.12.2, còn file AUR đó build với 3.12.1. Không
rõ vì lý do gì mà phiên bản kernel (gói linux) và header (gói linux-headers)
khác phiên bản nhau (một cái 3.12.2, cái kia 3.12.1, bác có thể check bằng

  pacman -Qi linux linux-headers | grep ^Version:

Để khắc phục thì bác có thể cài lại gói linux nữa cho đồng bộ. Hoặc
là khi yaourt hỏi bác chỉnh PKGBUILD không, thì bác chọn YES và chỉnh lại

  _kernmajor="3.12.2-1"
  _extramodules="extramodules-3.12.2-1-ARCH"


On Mon, 2 Dec 2013 23:39:29 -0800 (PST)
maikhai <[email protected]> wrote:

> Vào 12:23:09 UTC+7 Thứ ba, ngày 03 tháng mười hai năm 2013, Anh K.
> Huynh đã viết:
> > Bác cài gói linux-headers vào xem có giúp được gì không?
> 
> :: Proceed with installation? [Y/n] n
> [[email protected] ~]$ sudo yaourt -S broadcom-wl
> 
> ==> Downloading broadcom-wl PKGBUILD from AUR...
> x install
> x PKGBUILD
> x license.patch
> x linux-recent.patch
> x modprobe.d
> Comment by alonhar  (2013-11-15 07:23)
> no wireless interface after kernel update.
> 
> ip l
> 1: lo: LOOPBACK,UP,LOWER_UP mtu 65536 qdisc noqueue state UNKNOWN
> mode DEFAULT link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
> 2: enp8s0: NO-CARRIER,BROADCAST,MULTICAST,UP mtu 1500 qdisc
> pfifo_fast state DOWN mode DEFAULT qlen 1000 link/ether
> 3c:97:0e:b2:cd:fe brd ff:ff:ff:ff:ff:ff I think the name has been
> changed from wlp2s0 to enp8s0 I use networkmanager 
> 
> Comment by bluerider  (2013-11-15 07:34)
> @alonhar: Did you recompile the driver while running the new kernel?
> 
> Comment by alonhar  (2013-11-15 07:41)
> no.
> what I have to do?
> Install the driver again?
> 
> Comment by bluerider  (2013-11-15 07:55)
> @alonhar: yes; you need to install the driver (recompile it for the
> new kernel). if this is an issue you may want to try the
> broadcom-wl-dkms package. That uses the dkms service to rebuild
> kernel modules on startup.
> 
> Comment by alonhar  (2013-11-15 08:59)
> thanks it worked
> 
> broadcom-wl 6.30.223.141-3  (Tue Sep  2 01:22:27 ICT 2008)
> ( Unsupported package: Potentially dangerous ! )
> ==> Edit PKGBUILD ? [Y/n] ("A" to abort)
> ==> ------------------------------------
> ==> y
> 
> Please add $EDITOR to your environment variables
> for example:
> export EDITOR="vim" (in ~/.bashrc)
> (replace vim with your favorite editor)
> 
> ==> Edit PKGBUILD with:  export EDITOR="nano"
> 
> ==> broadcom-wl dependencies:
>  - linux (already installed)
>  - linux-headers (already installed)
> 
> 
> ==> Edit PKGBUILD ? [Y/n] ("A" to abort)
> ==> ------------------------------------
> ==> 
> 
> ==> broadcom-wl dependencies:
>  - linux (already installed)
>  - linux-headers (already installed)
> 
> 
> ==> Edit PKGBUILD ? [Y/n] ("A" to abort)
> ==> ------------------------------------
> ==> n
> 
> ==> Edit install ? [Y/n] ("A" to abort)
> ==> -----------------------------------
> ==> n
> 
> ==> Continue building broadcom-wl ? [Y/n]
> ==> -------------------------------------
> ==> 
> ==> Building and installing package
> ==> WARNING: Building package as root is dangerous.
>  Please run yaourt as a non-privileged user.
> ==> Making package: broadcom-wl 6.30.223.141-3 (Tue Dec  3 14:37:49
> ICT 2013) ==> Checking runtime dependencies...
> ==> Checking buildtime dependencies...
> ==> Retrieving sources...
>   -> Downloading hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz...
>   % Total    % Received % Xferd  Average Speed   Time    Time
> Time  Current Dload  Upload   Total   Spent    Left  Speed
>   0     0    0     0    0     0      0      0 --:--:-- --:--:--
> --:--:--     0 100 1744k  100 1744k    0     0   230k      0
> 0:00:07  0:00:07 --:--:--  280k -> Found modprobe.d
>   -> Found license.patch
>   -> Found linux-recent.patch
> ==> Validating source files with sha1sums...
>     hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz ... Passed
>     modprobe.d ... Passed
>     license.patch ... Passed
>     linux-recent.patch ... Passed
> ==> Extracting sources...
>   -> Extracting hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz with
> bsdtar ==> Starting prepare()...
> patching file src/wl/sys/wl_linux.c
> patching file src/wl/sys/wl_linux.c
> ==> Starting build()...
> make: *** /usr/lib/modules/3.12.1-3-ARCH/build: No such file or
> directory.  Stop. ==> ERROR: A failure occurred in build().
>     Aborting...
> ==> ERROR: Makepkg was unable to build broadcom-wl.
> ==> Restart building broadcom-wl ? [y/N]
> ==> ------------------------------------
> ==> 
> [[email protected] ~]$ 
> 



--
I am ... 5.5 dog years old.